/****************************************************************************
	Kalkulon - A programmable calculator for programmers

	This file is part of the Kalkulon core.
	
	If you find this source code useful, your are encouraged to use it in your own projects.
	Please give me credit!

	COPYRIGHT by Juergen Holetzeck 2003 - 2008
	e-mail:		contact@kalkulon.de
	homepage:	www.kalkulon.de
****************************************************************************/



// math1.h: Schnittstelle für die Klasse math1.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MATH1_H__76339CE0_340B_4D39_87F6_3F2C6DB6A45D__INCLUDED_)
#define AFX_MATH1_H__76339CE0_340B_4D39_87F6_3F2C6DB6A45D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#undef min
#undef max

namespace Kalkulon{
namespace math{
//////////////////////////////////////////////////////////////////////
// exported functions
double ip(double d);				// integer part
double fp(double d);				// floating part
double ld(double d);				// log digitalis
double min(double x, double y);	    // minimum of x, y
double max(double x, double y);	    // maximum of x, y
double rand();						// random number 0..1
double sign(double x);				// signum of x
double srand();  					// start new random sequence
//////////////////////////////////////////////////////////////////////
}} // end namespace


#endif // !defined(AFX_MATH1_H__76339CE0_340B_4D39_87F6_3F2C6DB6A45D__INCLUDED_)
